.product__color-swatches {
  &[data-sibling-swatch-shape="chip"] {
    width: 100%;

    & .product__color-swatches--inner {
      width: 100%;
    }
  }
}

.product__color-swatches--inner:has(
    .product__color-swatch[data-shape="square"][data-size="extra-large"]
  ) {
  width: 100%;
}

.product__color-swatches
  .product__color-swatch[data-shape="square"][data-size="extra-large"] {
  width: calc(20% - var(--spacing-2));
  height: auto;
  aspect-ratio: 1;
}

.product__color-swatches .product__color-swatch.selected {
  box-shadow: 0 0 0 1px var(--color-background), 0 0 0 2.5px var(--color-text);
  border-radius: 2px;
}

.product__color-swatches[data-sibling-swatch-shape="chip"]
  .product__color-swatch,
.product__chip {
  flex: 1 0 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: var(--spacing-1);
  padding: var(--spacing-2) var(--spacing-4);
  min-height: 38px;
  transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out;
  background-color: var(--color-white);
  border: 0;
  border-radius: var(--border-radius-xs);
  color: var(--color-black);

  font-size: var(--font-size-body-60);
  font-weight: 700;

  &.selected,
  &:not(&.disabled):hover {
    background-color: var(--color-cobalt);
    border: 0;
    box-shadow: 0 0 0 transparent;
    color: var(--color-white);
  }

  &:not(&:is(.disabled, .selected, :hover)) .product__chip__new {
    color: var(--color-cobalt);
  }

  & .product__chip__new {
    margin-bottom: var(--spacing-1);
    font-size: 0.83em;
    font-weight: var(--font-weight-button);
    text-transform: uppercase;
  }

  & .product__chip__title {
    font-weight: var(--font-weight-button);
  }

  & .product__chip__weight {
    font-size: 0.9167em;
    font-weight: 400;
  }

  & .product__chip__best-value {
    margin-top: var(--spacing-1);
    font-size: 0.83em;
    font-weight: var(--font-weight-button);
    text-transform: uppercase;
  }
}

.product__block {
  &.product__block--with-divider {
    margin-bottom: var(--spacing-4);
    padding-bottom: var(--spacing-4);
    border-bottom: 1px solid var(--color-border);
  }

  & .product__subtitle {
    color: var(--color-dark-gray);
  }

  & .product__label {
    color: var(--color-dark-gray);
    font-size: var(--font-size-body-60);
    font-weight: 700;
    text-transform: uppercase;

    & span {
      color: var(--color-black);
      text-transform: none;
    }
  }

  & .product__one-liner {
    margin-top: var(--spacing-6);

    & a {
      margin-left: var(--spacing-1);
      text-decoration: underline;
    }

    & .hidden {
      display: none;
    }
  }

  & .product__price-and-ratings {
    margin-top: var(--spacing-6);
    margin-bottom: 0;
    align-items: flex-start;

    & [data-oke-star-rating] {
      margin-top: 0;
    }
  }

  & .product__price {
    & [data-compare-price] {
      color: var(--color-dark-gray);
      font-weight: 400;
    }
  }

  & .kit-value {
    color: var(--color-dark-gray);
  }

  & .sale-copy {
    color: var(--color-products-sale-price);
  }

  & .dynamic-variant-button.product__chip.disabled {
    border-color: var(--color-text-alpha-20);
  }

  & .dynamic-variant-button.product__chip.disabled .product__chip-crossed {
    inset: 0;
    height: 100%;
    max-width: 100%;
    border: 1px solid;
    border-radius: var(--border-radius-xs);

    & svg {
      fill: var(--color-text-alpha-20);
    }
  }
}

.product-blocks {
  & .quantity-input {
    --color-background-input: var(--color-white);

    border-radius: var(--border-radius-full);
  }

  & .quantity-input__button::after {
    background-color: transparent;
  }

  & .product-blocks__accordion {
    & .accordion__inner {
      padding-inline: 0;
      padding-block: var(--spacing-4);
      box-shadow: 0 0 0 0 transparent;
      border-block: 1px solid var(--color-mid-gray);

      &[data-open="true"] .open {
        display: none;
      }

      &[data-open="false"] .close {
        display: none;
      }
    }

    + .product-blocks__accordion .accordion__inner {
      border-top: 0;
    }

    & .pdp-icons {
      display: flex;
      flex-wrap: wrap;
      flex-direction: row;
      gap: var(--spacing-4);
      text-align: center;
      margin-top: var(--spacing-4);
      & .icon-pdp {
        width: calc(50% - var(--spacing-2));
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        @media (min-width: 1024px) {
          width: calc(25% - var(--spacing-4));
          padding: 0 var(--spacing-3);
        }
        & img {
          width: 48px;
          height: 48px;
        }
        & h3 {
          font-size: 10px;
          font-weight: 800;
          text-transform: uppercase;
          font-family: var(--font-body);
          margin-top: var(--spacing-2);
          margin-bottom: var(--spacing-2);
          line-height: 1.2;
          @media (min-width: 768px) {
            margin-top: var(--spacing-4);
            font-size: 13px;
          }
        }
      }
    }
  }

  & .product__fine-print {
    color: var(--color-dark-gray);
  }

  .product-form[data-has-quantity-selector]
    .product-form__quantity-and-buy-buttons-wrapper {
    align-items: flex-start;
  }

  & .quantity-input-wrapper__cart-count {
    display: none;
  }

  #ps__bis_container_root {
    margin-top: var(--spacing-3);
    text-align: center;
    font-size: var(--font-size-body-75);
  }

  & [id*="ordergroove_subscriptions_pdp_offer"] {
    &:has(+ .product__gwp) {
      margin-bottom: 0;

      & .og-incentive-dropdown {
        border-bottom-width: 0;
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
      }
    }

    + .product__gwp {
      border-inline: 1px solid var(--color-mid-gray);
      border-bottom: 1px solid var(--color-mid-gray);
      border-bottom-left-radius: 4px;
      border-bottom-right-radius: 4px;
      border-top-left-radius: 0;
      border-top-right-radius: 0;
      padding: 0 1em 1em 2.7em;

      & .product__gwp__text:only-child {
        padding: var(--spacing-3) 0;
      }
    }

    /* Hide gwp when ordergroove widget has no subscription options. Why does 3_3 accomplish this? Unknown and unsure */
    &:has(og-offer[frequency="3_3"]) ~ .product__gwp {
      display: none;
    }
  }
}

/* Sticky ATC Bar */
@media (min-width: 960px){
  .sticky-atc-bar__button:has(> button:nth-of-type(2)) {
    width: 750px;
  }
}
  
@media (min-width: 1400px){
    .sticky-atc-bar__button:has(> button:nth-of-type(2)) {
      width: 550px;
    }
}

/** Stoq */
#restock-rocket-inline-container {
  & #form-Header-Container {
    flex-direction: row-reverse;
  }

  & #form-Header-Text {
    font-family: var(--font-heading);
    font-weight: var(--font-heading-weight);
    font-size: var(--font-size-heading-4-base);
  }

  & #formContainer-Inline {
    border: 1px solid var(--color-mid-gray) !important;
    border-radius: 4px;
  }

  & #form-Description,
  & #form-Product-Name,
  & #form-CountryCode,
  & #form-Email,
  & #form-Name,
  & #form-Phone,
  & #form-Quantity {
    font-size: var(--font-size-body-100) !important;
  }

  & #form-Button {
    border-radius: var(--border-radius-full);
    font-size: var(--font-size-body-100);
    font-weight: 700;
    text-transform: uppercase;
    transition: color 0.2s ease, background-color 0.2s ease;

    &:hover {
      background-color: var(
        --color-button-secondary-background-hover
      ) !important;
      opacity: 1;
    }
  }

  & #form-Terms {
    color: var(--color-dark-gray-ada);
    font-size: var(--font-size-body-50);
    font-weight: 400;
    opacity: 1;
  }
}
